Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.legacy
Class LegacySvnRepository

    java.lang.Object
      com.atlassian.bamboo.legacy.LegacyAbstractRepository
          com.atlassian.bamboo.legacy.LegacySvnRepository

All Implemented Interfaces:
  ConvertibleFromConfig, Repository

    public class LegacySvnRepository

extends LegacyAbstractRepository

This class provides a Subversion repository for Bamboo.

Field Summary
`static String` | `KEY`
`static String` | `NAME`
`static String` | `SVN_PASSWORD`
`static String` | `SVN_REPO_URL`
`static String` | `SVN_USERNAME`

Fields inherited from class com.atlassian.bamboo.legacy.LegacyAbstractRepository
`BUILD_TRIGGER_IP, WEB_REPO_MODULE_NAME, WEB_REPO_URL`

Fields inherited from interface com.atlassian.bamboo.repository.Repository
`REPOSIORTY_TYPE, UNKNOWN_HOST`

Constructor Summary
`LegacySvnRepository()`

Method Summary
`boolean` | `equals(Object o)`
`void` | `getAllSourceCode(Build build)` Forces the repository to refresh all the source code in the repository
`String` | `getEncryptedPassword()`
`String` | `getHost()` What's the repostory server host
`String` | `getKey()`
`long` | `getLatestRevision()` Place the latest revision in the ui so it can be kept when user edits the repository settings
`String` | `getName()` What's the name of the plugin - appears in the GUI dropdown
`String` | `getRepositoryUrl()` Which repository URL are we using?
`String` | `getUrl()` Where is the documentation and help about using Subversion?
`String` | `getUsername()` What username are we using to access the repository?
`String` | `getUserPassword()` What password are we using to access the repository
`String` | `getWebRepositoryUrl()` What's the repository's web url
`String` | `getWebRepositoryUrlForFile(CommitFile file)` What's the URL to the repostory for the modified file?
`String` | `getWebRepositoryUrlRepoName()` What's the repository's web url repository
`int` | `hashCode()`
`boolean` | `isRepositoryDifferent(Repository repository)` Checks if the current repo is the same or not and sets the referencesDifferentRepository flag accordingly
`void` | `populateFromConfig(HierarchicalConfiguration config)` Updates a working copy (brings changes from the repository into the working copy).
`void` | `setLatestRevision(long latestRevision)` Allow UI/tests to specify the latest revision
`void` | `setRepositoryUrl(String repositoryUrl)` Specify the subversion repository we are using
`void` | `setUsername(String username)` What's the username (if any) we are using to acces the repository?
`void` | `setUserPassword(String password)` Specify the password required to access the resposotory
`void` | `setWebRepositoryUrl(String url)` Where should we link to to show build file changes?
`void` | `setWebRepositoryUrlRepoName(String repoName)` This is used to identify the repository on multi-repository configurations.
`HierarchicalConfiguration` | `toConfiguration()` Generate a `FieldValueItemHolder` from the current state of the object
`ErrorCollection` | `validate()` Ensures the user has entered a subversion repository that we can authenticate against and connect to
`ErrorCollection` | `validate(BuildConfiguration buildConfiguration)`

Methods inherited from class com.atlassian.bamboo.legacy.LegacyAbstractRepository
`addDefaultValues, addPasswordToCvsRoot, createStringFromList, getChangesSinceLastBuild, getLabel, getSourceCodeDirectory, getTriggerIpAddress, getWorkingDirectory, hasWebBasedRepositoryAccess, isProcessingRepositoryRequest, referencesDifferentRepository, setLabel, setProcessingRepositoryRequest, setReferencesDifferentRepository, setTriggerIpAddress, setWorkingDir, updateAectIfRepositoryHasChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### KEY

    public static final String KEY

See Also:
  Constant Field Values

### SVN_REPO_URL

    public static final String SVN_REPO_URL

See Also:
  Constant Field Values

### SVN_USERNAME

    public static final String SVN_USERNAME

See Also:
  Constant Field Values

### SVN_PASSWORD

    public static final String SVN_PASSWORD

See Also:
  Constant Field Values

Constructor Detail

### LegacySvnRepository

    public LegacySvnRepository()

Method Detail

### getKey

    public String getKey()

### getName

    public String getName()

  What's the name of the plugin - appears in the GUI dropdown

  Returns:
    The name

### getUrl

    public String getUrl()

  Where is the documentation and help about using Subversion?

  Returns:
    The web url

### getAllSourceCode

    public void getAllSourceCode(Build build)
                          throws RepositoryException

  Description copied from interface: `Repository`
  Forces the repository to refresh all the source code in the repository

  Throws:
    `RepositoryException` - Something went wrong

### setRepositoryUrl

    public void setRepositoryUrl(String repositoryUrl)

  Specify the subversion repository we are using

  Parameters:
    `repositoryUrl` - The subversion repository

### getRepositoryUrl

    public String getRepositoryUrl()

  Which repository URL are we using?

  Returns:
    The subversion repository

### setUsername

    public void setUsername(String username)

  What's the username (if any) we are using to acces the repository?

  Parameters:
    `username` - The user name, null if there is no user

### getUsername

    public String getUsername()

  What username are we using to access the repository?

  Returns:
    The username, null if we are not using user authentication

### setUserPassword

    public void setUserPassword(String password)

  Specify the password required to access the resposotory

  Parameters:
    `password` - The password (null if we are not using user authentication)

### getUserPassword

    public String getUserPassword()

  What password are we using to access the repository

  Returns:
    The password (null if we are not using user authentication)

### getEncryptedPassword

    public String getEncryptedPassword()

### setLatestRevision

    public void setLatestRevision(long latestRevision)

  Allow UI/tests to specify the latest revision

  Parameters:
    `latestRevision` - The latest revision

### getLatestRevision

    public long getLatestRevision()

  Place the latest revision in the ui so it can be kept when user edits the repository settings

  Returns:
    The currect revision

### validate

    public ErrorCollection validate()

  Ensures the user has entered a subversion repository that we can authenticate against and connect to

  Returns:
    The validation errors. An empty list of there are no errors

### validate

    public ErrorCollection validate(BuildConfiguration buildConfiguration)

### getWebRepositoryUrl

    public String getWebRepositoryUrl()

  Description copied from interface: `Repository`
  What's the repository's web url

  Returns:
    The url

### setWebRepositoryUrl

    public void setWebRepositoryUrl(String url)

  Description copied from interface: `Repository`
  Where should we link to to show build file changes?

  Parameters:
    `url` - The url of the repositories web interface

### getWebRepositoryUrlRepoName

    public String getWebRepositoryUrlRepoName()

  Description copied from interface: `Repository`
  What's the repository's web url repository

  Returns:
    The repository (only used in multi-build repositories). Null if not used.

### setWebRepositoryUrlRepoName

    public void setWebRepositoryUrlRepoName(String repoName)

  Description copied from interface: `Repository`
  This is used to identify the repository on multi-repository configurations.

  Parameters:
    `repoName` - The name of the repository we are viewing

### getWebRepositoryUrlForFile

    public String getWebRepositoryUrlForFile(CommitFile file)

  Description copied from interface: `Repository`
  What's the URL to the repostory for the modified file?

  Parameters:
    `file` - The file that has been modified
  Returns:
    The url

### getHost

    public String getHost()

  Description copied from interface: `Repository`
  What's the repostory server host

  Returns:
    The host!

### isRepositoryDifferent

    public boolean isRepositoryDifferent(Repository repository)

  Description copied from interface: `Repository`
  Checks if the current repo is the same or not and sets the referencesDifferentRepository flag accordingly

### populateFromConfig

    public void populateFromConfig(HierarchicalConfiguration config)

  Updates a working copy (brings changes from the repository into the working copy).

### toConfiguration

    public HierarchicalConfiguration toConfiguration()

  Description copied from interface: `ConvertibleFromConfig`
  Generate a `FieldValueItemHolder` from the current state of the object

  Returns:
    Always returns an `FieldValueItemHolder`. Never null

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.